    @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

    :root {
        /*====== Colors ======*/
        --hue-color: 242;

        /* HSL Color Mode */
        --skin-color: hsl(342, 92%, 46%);
        --title-color: hsl(var(--hue-color), 8%, 95%);
        --text-color: hsl(var(--hue-color), 8%, 85%);
        --body-color: hsl(var(--hue-color), 19%, 5%);
        --box-color: hsl(var(--hue-color), 14%, 10%);
        --scroll-bar-color: hsl(var(--hue-color), 12%, 38%);
        --scroll-thumb-color: hsl(var(--hue-color), 12%, 26%);

        /*====== Font and Typography ======*/
        --body-font: 'Poppins', sans-serif;

        /*.5rem = 8px, 1rem = 16px, 1.5rem = 24px... */
        --biggest-font-size: 3rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: 0.875rem;
        --smaller-font-size: 0.813rem;

        /*====== Font Weight ======*/
        --font-medium: 500;
        --font-bold: 600;

        /*====== Margenes Bottom ======*/
        --mb-0-25: .25rem;
        --mb-0-5: .5rem;
        --mb-0-75: .75rem;
        --mb-1: 1rem;
        --mb-1-5: 1.5rem;
        --mb-2: 2rem;
        --mb-2-5: 2.5rem;
        --mb-3: 3rem;

        /*====== Z Index ======*/
        --z-fixed: 10;
        --z-modal: 100;
    }

    /* Responsive Typography */
    @media screen and (max-width: 1024px) {
        :root {
            --biggest-font-size: 2rem;
            --h1-font-size: 1.5rem;
            --h2-font-size: 1.25rem;
            --h3-font-size: 1.125rem;
            --normal-font-size: 0.938rem;
            --small-font-size: 0.813rem;
            --smaller-font-size: 0.75rem;
        }
    }

    /*================ BASE ================*/

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        font-display: swap;
    }

    html {
        scroll-behavior: smooth;
        overflow-x: hidden;
        /* Evita o overflow horizontal */
    }

    body,
    button,
    input {
        font-family: var(--body-font);
        font-size: var(--normal-font-size);
    }

    body {
        background-color: var(--body-color);
        color: var(--text-color);
        /*   overflow-x: hidden  verificar */
    }

    h1,
    h2,
    h3 {
        color: var(--title-color);
        font-weight: var(--font-bold);
    }

    ul {
        list-style: none;
    }

    a {
        text-decoration: none;
    }

    img {
        max-width: 100%;
        height: auto;
    }

    button {
        cursor: pointer;
    }

    button,
    input {
        border: none;
        outline: none;
    }

    /* LAYOUT */
    .container {
        max-width: 1250px;
        margin-left: auto;
        margin-right: auto;
        /* padding: 0 1rem; 
    margin: 0 auto; */
    }

    .grid {
        display: grid;
    }

    /* REUSABLE CSS CLASSES */
    .section {
        padding: 6.5rem 0 2rem;
    }

    .section__title {
        text-align: center;
        font-size: var(--h1-font-size);
        margin-bottom: var(--mb-3);
    }

    /*
.intro__data, .journey__data, .abilities__data, .portfolio__data, .services__data,
.testimonials__data, .contact__data {
    content: attr(data-lang); 
    display: block;
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    color: var(--skin-color);
    text-align: center;
} */

    .section__title::before {
        content: attr(data-heading);
        /* texto menor em cima do titulo */
        display: block;
        font-size: var(--normal-font-size);
        font-weight: var(--font-medium);
        color: var(--skin-color);
    }


    /* SIDEBAR - NAV VERTICAL*/
    .sidebar {
        position: fixed;
        width: 100px;
        height: 100vh;
        background-color: var(--body-color);
        border-right: 1px solid var(--box-color);
        transition: .5s;
    }


    .btn__share a {
        color: white;
        /*  Garante que o ícone inicie com a cor branca */
        text-decoration: none;
    }

    .btn__share a:hover {
        color: var(--skin-color);
        /* Muda a cor no hover */
    }

    .nav__logo {
        position: absolute;
        left: 0;
        right: 0;
        top: 1.8rem;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        background-color: var(--skin-color);
        text-align: center;
        margin: auto;
        z-index: 10;
    }

    .nav__logo-text {
        font-size: 1.125rem;
        color: var(--title-color);
        font-weight: var(--font-bold);
        line-height: 40px;
    }

    .nav__menu {
        position: fixed;
        transform: rotate(-90deg) translate(-100%);
        transform-origin: left top;
        width: 100vh;
    }

    .menu {
        display: flex;
    }

    .nav__list {
        display: flex;
        flex-direction: row-reverse;
        margin: -2px auto 0 auto;
    }

    .nav__link {
        height: 100%;
        float: right;
        height: 100%;
        line-height: 100px;
        padding: 0 0.5rem;
        color: var(--title-color);
        font-weight: var(--font-medium);
        position: relative;
        transition: .4s;
    }

    .btn__share {
        position: absolute;
        bottom: 1.8rem;
        left: 0;
        right: 0;
        text-align: center;
    }

    .social__share {
        font-size: 1.5rem;
    }


    .nav__toggle {
        height: 32px;
        width: 36px;
        cursor: pointer;
        position: fixed;
        right: 2.5rem;
        top: 2rem;
        font-size: 1.2rem;
        border-radius: .25rem;
        background-color: var(--skin-color);
        color: var(--title-color);
        display: none;
        justify-content: center;
        align-items: center;
        z-index: var(--z-fixed);
    }

    .nav__close {
        font-size: 1.5rem;
        position: absolute;
        top: 1rem;
        right: 1.25rem;
        cursor: pointer;
        display: none;
    }

    /* Active Link */
    .nav__link.active-link,
    .nav__link:hover {
        color: var(--skin-color);
    }

    .nav__link.active-link::after,
    .nav__link:hover::after {
        position: absolute;
        content: '';
        width: 6px;
        height: 6px;
        background-color: var(--skin-color);
        border-radius: 50%;
        bottom: 1.8rem;
        left: 0;
        right: 0;
        margin: auto;
    }

    /* MAIN */
    .main {
        margin-left: 100px;
    }

    /* Home Section  */
    .home {
        background: url('/assets/img/home-img-ls.webp');
        background-size: cover;
        background-position: center center;
        height: 100vh;
    }

    .home__container {
        position: relative;
        height: 100%;
        align-items: center;
        /*  overflow: hidden;  Evita o overflow horizontal */
    }

    .home__social {
        position: absolute;
        top: 1.8rem;
        left: 0;
        display: flex;
        align-items: center;
        column-gap: 3.5rem;
    }

    .home__social-follow {
        font-weight: var(--font-medium);
        position: relative;
    }

    .home__social-follow::after {
        content: '';
        position: absolute;
        width: 1rem;
        height: 2px;
        background-color: var(--text-color);
        right: -45%;
        top: 50%;
    }

    .home__social-links {
        display: inline-flex;
        column-gap: 1rem;
    }

    .home__social-link {
        font-size: 1.08rem;
        color: var(--text-color);
        transition: .3s;
    }

    .home__social-link:hover {
        transform: translateY(.25rem);
        /* efeito */
    }

    .home__img {
        display: none;
    }

    .home__title {
        font-size: var(--biggest-font-size);
    }

    .home__subtitle {
        font-size: var(--h3-font-size);
        font-weight: var(--font-medium);
        /* margin-bottom: var(--mb-0-75); */
    }

    .home__description {
        max-width: 450px;
        margin-bottom: var(--mb-2);
    }

    .my__info {
        display: flex;
        column-gap: 1.8rem;
        position: absolute;
        left: 0;
        bottom: 1.8rem;
    }

    /* Não está sendo aplicado */
    .info__item {
        display: flex;
        align-items: center;
    }

    .info__title,
    .info__subtitle {
        font-size: var(--small-font-size);
    }

    .phone-link {
        color: inherit;
        text-decoration: none;

    }

    .phone-link:hover {
        font-weight: bold;
    }

    .email-link {
        color: inherit;
        text-decoration: none;
    }

    .email-link:hover {
        font-weight: bold;
    }

    .info__title {
        font-weight: var(--font-medium);
    }

    .info__icon {
        font-size: 1.8rem;
        color: var(--skin-color);
        margin-right: var(--mb-0-75);
    }

    /* Buttons  */
    .button {
        display: inline-flex;
        align-items: center;
        column-gap: .5rem;
        background-color: var(--skin-color);
        color: var(--title-color);
        padding: .75rem 1.4rem;
        border-radius: .25rem;
        font-weight: var(--font-medium);
        position: relative;
        z-index: 1;
    }

    .button::after {
        position: absolute;
        content: '';
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: #343a40;
        z-index: -1;
        transform-origin: center;
        transform: scale(0);
        border-radius: .25rem;
        transition: .3s;
    }

    .button:hover::after {
        transform: scale(1);
    }

    .button__icon {
        margin-left: 0.5rem;
        font-size: 1.25rem;
    }

    /*  About Section  */
    .about__container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 4rem;
        align-items: center;
    }

    .about__img {
        width: 480px;
        border-radius: 0.75rem;
        justify-self: center;
    }


    .about__heading {
        font-size: var(--h3-font-size);
        margin-bottom: var(--mb-0-75);
    }


    .about__description {
        text-align: justify;
        padding-right: 6rem;
        margin-bottom: var(--mb-2);
    }

    .about__info {
        grid-template-columns: repeat(3, 140px);
        column-gap: .5rem;
        margin-bottom: var(--mb-3);
        /* padding: 1rem 1.25rem; */
    }

    .about__box {
        text-align: center;
        border-radius: .25rem;
        padding: 1rem 1.25rem;
        background-color: var(--box-color);
    }

    .about__icon {
        font-size: 1.5rem;
        color: var(--skin-color);
        margin-bottom: var(--mb-0-75);
    }

    .about__title {
        font-size: var(--small-font-size);
    }

    .about__subtitle {
        font-size: var(--small-font-size);
    }

    /* 
/*====== Qualification Section ======  */
    .qualification__container {
        display: grid;
        grid-template-columns: repeat(2, 340px);
        column-gap: 3rem;
        justify-content: center;
    }

    .qualification__title {
        font-size: var(--h3-font-size);
        font-weight: var(--font-medium);
        margin-bottom: var(--mb-2);
    }

    .timeline__item {
        position: relative;
        padding-left: 3rem;
        margin-bottom: var(--mb-2-5);
    }

    .timeline__item:last-child {
        margin-bottom: 0;
    }

    .timeline__item::before {
        content: '';
        width: 1px;
        position: absolute;
        left: .48rem;
        top: 0;
        height: 100%;
        background-color: var(--skin-color);
    }

    .circle__dot {
        position: absolute;
        left: 0;
        height: 1rem;
        width: 1rem;
        border: 2px solid var(--skin-color);
        border-radius: 50%;
        background-color: var(--skin-color);
        transition: .3s;
        /* display: flex;
    align-items: center;
    justify-content: center; */
    }

    /* .timeline__content {
    margin-left: 2rem;
} */

    .timeline__item:hover .circle__dot {
        background-color: var(--body-color);
    }

    .timeline__title {
        font-size: var(--normal-font-size);
        font-weight: var(--font-medium);
        margin-bottom: var(--mb-0-25);
    }

    .timeline__text {
        font-size: var(--small-font-size);
        margin-bottom: var(--mb-1);
    }

    .timeline__date {
        display: flex;
        align-items: center;
        column-gap: .4rem;
        font-size: var(--small-font-size);
        color: var(--skin-color);
    }

    /*====== Skills Section ======  */
    .skills__container {
        grid-template-columns: 360px 320px;
        column-gap: 3rem;
        justify-content: center;
        /*
    gap: 20px;
    width: 70%;
    margin: 0 auto; */
    }

    /* .skills__tabs {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.skills__headers {
    flex: 1;
    width: 70%; 
}

.skills__content {
    flex: 2;
    width: 100%;

} */

    .skills__header {
        display: flex;
        align-items: center;
        cursor: pointer;
        /* width: 100%; */
    }

    .skills__list {
        row-gap: var(--mb-1-5);
    }

    .skills__header:not(:last-child) {
        margin-bottom: var(--mb-2-5);
    }

    /* .skills__header.skills__active .skills__arrow {
    transform: rotate(90deg);
} */

    .skills__icon,
    .skills__arrow {
        font-size: 2rem;
        color: var(--skin-color);
    }

    .skills__icon {
        margin-right: var(--mb-0-75);
    }

    .skills__title {
        font-size: var(--h3-font-size);
        font-weight: var(--font-medium);
    }

    .skills__subtitle {
        font-size: var(--small-font-size);
    }

    .skills__arrow {
        margin-left: auto;
        transition: transform 0.3s ease;
    }

    .skills__active .skills__arrow {
        transform: rotate(-90deg);
        transition: .3s;
    }

    .skills [data-content] {
        display: none;
    }

    .skills__active[data-content] {
        display: block;
    }

    .skills_list {
        row-gap: 1.8rem;
    }

    .skills__titles {
        display: flex;
        justify-content: space-between;
        margin-bottom: var(--mb-0-5);
    }

    .skills__name {
        font-size: var(--normal-font-size);
        font-weight: var(--font-medium);
    }

    /* 
.skills__number {
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    margin-left: auto; /* Alinha os números à direita 
} */

    .skills__bar,
    .skills__percentage {
        height: 5px;
        border-radius: .25rem;
        position: relative;
    }

    .skills__bar {
        background-color: var(--box-color);
        border-radius: .25rem;
        overflow: hidden;
        position: relative;
        height: 5px;
    }

    .skills__percentage {
        display: block;
        height: 100%;
        background-color: var(--skin-color);
        position: absolute;
        top: 0;
        left: 0;
        border-radius: .25rem;
        transition: width 0.4s ease;
    }

    /*
.skills__group {
    display: none;
}

.skills__group.skills__active {
    display: block;
}
.skills__header.skills__active .skills__arrow {
    transform: rotate(-90deg);
} */

    /* ========== stacks ========== */
    .skills__icons {
        display: flex;
        justify-content: center;
        /* Centraliza os ícones horizontalmente */
        flex-wrap: wrap;
        margin-top: 2rem;
        margin-left: 5%;
        /* Adiciona margem à esquerda */
        margin-right: 5%;
        /* Adiciona margem à direita */
        gap: 1.5rem;
        /* Aumenta ligeiramente o espaçamento entre os ícones */
    }

    .skill-icon {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100px;
        height: 100px;
        border-radius: 50%;
        background-color: var(--box-color);
        color: var(--title-color);
        font-size: 2rem;
        transition: transform 0.3s;
        text-align: center;
    }

    .skill-icon span {
        margin-top: 0.5rem;
        font-size: var(--small-font-size);
    }

    .skill-icon:hover {
        transform: scale(1.1);
    }

    .icon-svg {
        width: 30px;
        height: 30px;
    }

    /* Language Selector 
.language-selector {
    position: fixed;
    top: 20px;
    right: 20px;
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.language-selector .lang-option {
    cursor: pointer;
    font-size: 14px;
    font-weight: var(--font-bold);
    color: var(--title-color);
    padding: 5px 20px;
    position: relative;
    transition: color .4s;
    display: inline-block;
    z-index: 1;
    border: 1px solid transparent;
}

.language-selector .lang-option.active,
.language-selector .lang-option:hover {
    color: var(--skin-color);
}

/* Specific styles for Portuguese 
body.lang-pt .nav__menu {
    top: 1rem;
}

body.lang-pt .nav__link {
    padding: 0 0.8rem;
}

/* #### Work Section ####  */
    .work__container {
        /* display: grid; */
        grid-template-columns: repeat(3, 330px);
        gap: 1.8rem;
        justify-content: center;
        padding-top: 1rem;
    }

    .work__filters {
        display: flex;
        justify-content: center;
        align-items: center;
        /* column-gap: .75rem; */
        margin-bottom: 2rem;
    }

    .work__item {
        cursor: pointer;
        color: var(--title-color);
        padding: .25rem .75rem;
        font-weight: var(--font-medium);
        border-radius: .5rem;
    }

    .work__card {
        background-color: var(--box-color);
        padding: 1.25rem;
        border-radius: .5rem;
        position: relative;
        /* Adicionado para posicionamento relativo */
        padding-bottom: 3rem;
        /* Espaço para os botões */
    }

    .portfolio__item-details {
        display: none;
    }

    .work__img {
        border-radius: .5rem;
        margin-bottom: var(--mb-1);
    }

    .work__title {
        font-size: var(--normal-font-size);
        font-weight: var(--font-medium);
        margin-bottom: var(--mb-0-5);
    }

    .work__button {
        color: var(--skin-color);
        font-size: var(--small-font-size);
        display: flex;
        align-items: center;
        column-gap: .25rem;
        cursor: pointer;
        position: absolute;
        /* Posicionamento absoluto */
        left: 1rem;
        /* Alinha à esquerda */
        bottom: 1rem;
        /* Alinha na parte inferior */
    }

    .work__button-icon {
        font-size: 1rem;
        transition: .3s;
    }

    .work__button:hover .work__button-icon {
        transform: translateX(.25rem);
    }

    .buy-button {
        display: inline-flex;
        align-items: center;
        column-gap: .25rem;
        color: var(--skin-color);
        font-size: var(--small-font-size);
        cursor: pointer;
        text-decoration: none;
        transition: color 0.3s;
        position: absolute;
        /* Posicionamento absoluto */
        right: 1.8rem;
        /* Ajusta para a esquerda */
        bottom: 1rem;
        /* Alinha na parte inferior */
    }

    .buy-button .fas.fa-shopping-cart {
        font-size: inherit;
    }

    .buy-button:hover .buy-button-icon {
        transform: translateX(.25rem);
        text-decoration: none;
    }

    /* Active Item Work */
    .active-work {
        background-color: var(--skin-color);
        color: var(--title-color);
    }

    /* Portfolio Popup */
    .portfolio__popup {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgb(0, 0, 0, 0.5);
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 1rem;
        z-index: var(--z-modal);
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    .portfolio__popup.open {
        opacity: 1;
        visibility: visible;
    }

    .portfolio__popup-inner {
        background-color: var(--box-color);
        width: 900px;
        border-radius: .5rem;
        padding: 2.5rem;
        position: relative;
    }

    .portfolio__popup-content {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        column-gap: 3rem;
    }

    .portfolio__popup-close {
        position: absolute;
        top: 1.5rem;
        right: 1.5rem;
        font-size: 1.5rem;
        color: var(--skin-color);
        cursor: pointer;
    }


    .portfolio__popup-img {
        border-radius: .5rem;
    }


    .portfolio__popup-subtitle {
        font-size: var(--small-font-size);
        margin-bottom: var(--mb-0-25);
    }

    .details__title {
        font-size: var(--h3-font-size);
        font-weight: var(--font-medium);
        margin-bottom: var(--mb-1);
    }

    .details__description {
        font-size: var(--small-font-size);
        margin-bottom: var(--mb-2);
    }

    .details__info li {
        margin-bottom: var(--mb-0-75);
        text-transform: capitalize;
        font-size: var(--small-font-size);
    }

    .details__info li:last-child {
        margin-bottom: 0;
    }

    .details__info li span {
        font-weight: normal;
    }

    .details__info li a {
        text-transform: lowercase;
        color: var(--skin-color);
    }

    .portfolio__popup.open .portfolio__item-details {
        display: block;
        /* Exibe os detalhes do item quando o popup está aberto */
    }


    /* #### Services Section ####  */
    .services__container {
        grid-template-columns: repeat(3, 250px);
        justify-content: center;
        column-gap: 1.8rem;
    }

    .services__content {
        position: relative;
        background-color: var(--box-color);
        padding: 6rem 0 2rem 2.5rem;
        border-radius: .25rem;
    }

    .services__icon {
        display: block;
        font-size: 1.8rem;
        color: var(--skin-color);
        margin-bottom: var(--mb-1);
    }

    .services__title {
        font-size: var(--h3-font-size);
        margin-bottom: var(--mb-1);
        font-weight: var(--font-medium);
    }

    .services__button {
        color: var(--skin-color);
        font-size: var(--small-font-size);
        display: flex;
        align-items: center;
        column-gap: .25rem;
        cursor: pointer;
    }

    .services__button-icon {
        font-size: 1rem;
        transition: .3s;
    }

    .services__button:hover .services__button-icon {
        transform: translateX(.25rem);
    }

    .services__modal {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgb(0, 0, 0, 0.5);
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 1rem;
        z-index: var(--z-modal);
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    .services__modal.active-modal {
        opacity: 1;
        visibility: visible;
    }

    .services__modal-content {
        width: 500px;
        position: relative;
        background-color: var(--box-color);
        padding: 4.5rem 2.5rem 2.5rem;
        border-radius: .5rem;
    }

    .services__modal-close {
        position: absolute;
        top: 1.5rem;
        right: 1.5rem;
        font-size: 1.5rem;
        color: var(--skin-color);
        cursor: pointer;
    }

    .services__modal-title,
    .services__modal-description {
        text-align: center;
    }

    .services__modal-title {
        font-size: var(--h3-font-size);
        font-weight: var(--font-medium);
        margin-bottom: var(--mb-1);
    }

    .services__modal-description {
        font-size: var(--small-font-size);
        padding: 0 3.5rem;
        margin-bottom: var(--mb-2);
    }

    .services__modal-services {
        row-gap: var(--mb-0-75);
    }

    .services__modal-service {
        display: flex;
        align-items: center;
        column-gap: .5rem;
    }

    .services__modal-icon {
        color: var(--skin-color);
        font-size: 1.2rem;
    }

    .services__modal-info {
        font-size: var(--small-font-size);
    }

    /* Active Modal */
    .active-modal {
        opacity: 1;
        visibility: visible;
    }




    /* #### Testimonial Section ####  */
    @media screen and (min-width: 992px) {
        .testimonials__container {
            width: 750px;
            margin-left: auto !important;
            margin-right: auto !important;
        }

        .testimonial__card {
            background-color: var(--box-color);
            padding: 1.8rem 2rem;
            border-radius: .5rem;
            margin-bottom: 3rem;
        }

        .testimonial__quote {
            display: inline-flex;
            font-size: 1.5rem;
            color: var(--skin-color);
            margin-bottom: var(--mb-1);
        }


        .testimonial__description {
            margin-bottom: var(--mb-1);
            font-size: var(--small-font-size);
        }

        .testimonial__date {
            margin-bottom: var(--mb-2);
            font-size: var(--normal-font-size);
        }

        .testimonial__profile {
            display: flex;
            align-items: center;
            column-gap: 1rem;
        }

        .testimonial__profile-img {
            width: 60px;
            height: 60px;
            border-radius: 3rem;
        }

        .testimonial__profile-name {
            font-size: var(--h3-font-size);
            font-weight: var(--font-medium);
            color: var(--title-color);
        }

        .testimonial__profile-data {
            display: flex;
            flex-direction: column;
            row-gap: .4rem;
        }

        .testimonial__profile-detail {
            font-size: var(--small-font-size);
        }
    }

    /* Swiper Class  */
    .swiper-pagination-bullet {
        background-color: var(--body-color);
    }

    .swiper-pagination-bullet-active {
        background-color: var(--skin-color);
    }


    /* #### Contact Section ####  */
    .contact__container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .contact__info {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: center;
        gap: 2rem;
        margin-top: 2rem;
    }

    .contact__card {
        background-color: var(--box-color);
        border-radius: 1rem;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        padding: 1.5rem;
        text-align: center;
        transition: transform 0.3s ease;
        width: 100%;
        max-width: 300px;
    }

    .contact__card-icon {
        font-size: 2rem;
        color: var(--skin-color);
        margin-bottom: var(--mb-0-25);
    }

    .contact__card-title,
    .contact__card-data {
        font-size: var(--small-font-size);
    }

    .contact__card-title {
        font-weight: var(--font-medium);
    }

    .contact__card-data {
        display: block;
        margin-bottom: var(--mb-0-75);
        margin-top: 0.5rem;
    }

    .contact__button {
        color: var(--skin-color);
        font-size: var(--small-font-size);
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: .25rem;
        cursor: pointer;
    }

    .contact__button-icon {
        font-size: 1rem;
        transition: .3s;
    }

    .contact__button:hover .contact__button-icon {
        transform: translate(.25rem);
    }

    .input__container {
        position: relative;
        margin-top: .1rem;
        margin-bottom: 1.9rem;
    }

    .input {
        width: 100%;
        border: 2px solid var(--text-color);
        background-color: transparent;
        padding: .6rem 1.2rem;
        color: var(--title-color);
        font-weight: var(--font-medium);
        font-size: var(--normal-font-size);
        letter-spacing: .5px;
        outline: none;
        border-radius: .50rem;
        transition: .3s;
    }

    textarea.input {
        padding: .8rem 1.2rem;
        min-height: 140px;
        border-radius: .50rem;
        resize: none;
    }

    .input__container label {
        position: absolute;
        top: 50%;
        left: 1rem;
        transform: translateY(-50%);
        padding: 0 .4rem;
        color: var(--text-color);
        font-size: 1rem;
        font-weight: var(--font-medium);
        pointer-events: none;
        z-index: 15;
        transition: .5s;
    }

    .input__container.textarea label {
        top: 1rem;
        transform: translateY(0);
    }

    .input__container span {
        position: absolute;
        top: 0;
        left: 25px;
        color: transparent;
        transform: translateY(-50%);
        font-size: var(--small-font-size);
        padding: 0 .4rem;
        pointer-events: none;
        z-index: var(--z-fixed);
    }

    .input__container span::before,
    .input__container span::after {
        content: '';
        position: absolute;
        width: 10%;
        height: 5px;
        opacity: 0;
        background-color: var(--body-color);
        top: 50%;
        transform: translateY(-50%);
        transition: .3s;
    }

    .input__container span::before {
        left: 50%;
    }

    .input__container span::after {
        right: 50%;
    }

    .input__container.focus label {
        top: 0;
        transform: rotateY('-50%');
        left: 25px;
        font-size: var(--small-font-size);
    }

    .input__container.focus span::before,
    .input__container.focus span::after {
        width: 50%;
        opacity: 1;
    }

    /* ####FOOTER####  */
    .footer {
        padding-top: 2rem;
    }

    .footer__container {
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1.6rem;
    }

    .footer__bg {
        background-color: var(--box-color);
        padding: 3rem 0 3.5rem;
    }

    .footer__title {
        font-size: var(--h1-font-size);
        margin-bottom: var(--mb-0-25);
    }

    .footer_subtitle {
        font-size: var(--small-font-size);
    }

    .footer__links {
        display: flex;
        justify-self: center;
        column-gap: 2rem;
    }

    .footer__link:hover {
        color: var(--skin-color);
    }

    .footer__socials {
        justify-self: flex-end;
    }

    .footer__social {
        font-size: 1.25rem;
        margin-right: var(--mb-1-5);
    }

    .footer__social:hover {
        color: var(--skin-color);
    }

    .footer__copy {
        font-size: var(--smaller-font-size);
        text-align: center;
        margin-top: 4.5rem;
    }

    .footer__title,
    .footer__subtitle,
    .footer__link,
    .footer__social {
        color: var(--title-color);
    }


    #cookie-banner {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        background: var(--box-color);
        padding: 20px;
        text-align: center;
        box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
        z-index: 1000;
    }

    #cookie-banner p {
        margin-bottom: 15px;
    }

    .cookie-buttons {
        display: flex;
        justify-content: center;
        gap: 10px;
    }

    #cookie-banner button {
        background: var(--box-color);
        border: none;
        color: white;
        padding: 10px 15px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 14px;
        cursor: pointer;
        border-radius: 4px;
    }

    #cookie-banner button#accept-all-cookies {
        border: 1px solid #ccc;
        /* Adiciona uma borda ao botão "Aceitar todos" */
    }

    #cookie-banner button#accept-necessary-cookies {
        background: var(--box-color);
        /* color: #fff;
    border: 1px solid #ccc; Remove a borda de destaque do botão "Apenas necessários" */
    }

    #cookie-banner button:hover {
        opacity: 0.8;
    }

    /* =========== Scroll Top ========== */
    #scrollTopBtn {
        display: none;
        position: fixed;
        bottom: 20px;
        right: 30px;
        z-index: 99;
        width: 50px;
        height: 50px;
        font-size: 24px;
        border: none;
        outline: none;
        background-color: #202020;
        color: var(--title-color);
        cursor: pointer;
        border-radius: 50%;
        text-align: center;
        line-height: 50px;
        text-decoration: none;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
        transition: background-color 0.3s, transform 0.3s;
        padding: 0;
    }

    #scrollTopBtn:hover {
        background-color: #161616;
        transform: scale(1.1);
    }

    /* ####SCROLL UP#### */

    /* Show Scroll Up */

    /* ####SCROLL BAR####  */
    ::-webkit-scrollbar {
        width: .60rem;
        background-color: var(--scroll-bar-color);
        border-radius: .5rem;
    }

    ::-webkit-scrollbar-thumb {
        background-color: var(--scroll-thumb-color);
        border-radius: .5rem;
    }

    /* ####BREAKPOINTS#### */
    /* For Large Devices */

    @media screen and (max-width: 1408px) {
        .container {
            margin-left: var(--mb-2-5);
            margin-right: var(--mb-2-5);
        }

        #scrollTopBtn {
            width: 45px;
            height: 45px;
            font-size: 22px;
            line-height: 45px;
            bottom: 15px;
            right: 15px;
        }
    }

    @media screen and (max-width: 1216px) {
        .about__container {
            column-gap: 2.5rem;
        }

        .about__description {
            padding-right: 0;
        }

        .work-container {
            grid-template-columns: repeat(2, 330px);
            gap: 2.5rem;
        }

        #scrollTopBtn {
            width: 45px;
            height: 45px;
            font-size: 22px;
            line-height: 45px;
            bottom: 15px;
            right: 15px;
        }
    }

    @media screen and (max-width: 1024px) {
        .container {
            /* margin-left: var(--mb-1-5); */
            margin-right: var(--mb-1-5);
        }

        .sidebar {
            width: 100%;
            z-index: 999;
            transform: translateX(-100%);
        }

        .show-sidebar {
            transform: translateX(0);
        }

        .nav__logo,
        .btn__share {
            display: none;
        }

        .nav__menu {
            height: 100%;
            width: 100%;
            transform: rotate(0deg) translateX(0);
            display: flex;
            justify-content: center;
        }

        .nav__list {
            flex-direction: column;
            height: 100%;
            justify-content: center;
            align-items: center;
        }

        .nav__link {
            padding: 1rem 0;
            line-height: 1.5;
        }

        .nav__link.active-link::after,
        .nav__link:hover::after {
            bottom: 0;
        }

        .nav__close {
            display: block;
        }

        .nav__toggle {
            display: flex;
        }

        .main {
            margin-left: 0;
        }

        .about__container {
            grid-template-columns: 1fr;
            row-gap: 2.5rem;
        }

        .about__img {
            width: 350px;
        }

        .about__data {
            text-align: center;
        }

        .about__info {
            justify-content: center;
        }

        .about__box {
            padding: .75rem .5rem;
        }

        .about__description {
            padding: 0 4rem;
            text-align: center;
        }

        .qualification__container {
            grid-template-columns: repeat(2, 290px);
        }

        .skills__container {
            grid-template-columns: 340px 300px;
        }

        .skills__list {
            row-gap: 1.7rem;
        }

        .work__container {
            grid-template-columns: repeat(2, 1fr);
            gap: 1.5rem;
        }

        .work__card {
            padding: 1rem;
        }

        .work__img {
            margin-bottom: var(--mb-0-75);
        }

        .work__title {
            margin-bottom: var(--mb-0-75);
        }

        .services__container {
            grid-template-columns: repeat(3, 220px);
        }

        .testimonial__card {
            padding: 1.25rem 1.5rem;
        }

        .portfolio__item-details {
            margin-bottom: var(--mb-1-5);
        }

        .details__info li {
            margin-bottom: var(--mb-0-5);
        }

        .details__title {
            margin-bottom: var(--mb-0-75);
        }

        #scrollTopBtn {
            width: 45px;
            height: 45px;
            font-size: 22px;
            line-height: 45px;
            bottom: 15px;
            right: 15px;
        }

        /* .language-selector .lang-option {
        right: 6rem;
    } */
    }

    /* For Medium Devices  */
    /* @media screen and (min-width: 992px) {
    .testimonials__container {
        width: 750px;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .contact__info {
        flex-direction: column;
        align-items: center;
    }
} */

    /* @media screen and (min-width: 768px) {
    .about__img {
        width: 250px;
    }

    .qualification__container {
        grid-template-columns: 290px;
        row-gap: 3rem;
    }

    .skills__container {
        grid-template-columns: 300px;
        row-gap: 3rem;
    }

    .work__container {
        grid-template-columns: 330px;
    }

    .services__container {
        grid-template-columns: repeat(2, 1fr);
        gap: 1.5rem;
    }

    .services__content {
        padding: 3.5rem .5rem 1.25rem 1.5rem;
    }

    .services__icon {
        font-size: 1.5rem;
    }

    .contact__container {
        grid-template-columns: 360px;
        row-gap: 3rem;
    }

    .contact__info {
        flex-direction: column;
        align-items: center;
    }

    .contact__card {
        width: 100%;
        max-width: none;
    }

    .footer__container {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 3rem;
    }

    .footer__socials {
        justify-self: start;
    }

    .footer__links {
        flex-direction: column;
        row-gap: 1.5rem;
    }

    .footer__bg {
        padding: 2rem 0 3rem;
    }

    .footer__copy {
        margin-top: var(--mb-3);
    }

    .portfolio__popup-inner {
        width: 420px;
        padding: 2.8rem 1.5rem 2.5rem;
    }

    .portfolio__popup-content {
        grid-template-columns: 1fr;
        row-gap: 1.6rem;
    }

    .details__title {
        font-size: var(--normal-font-size);
    }

    .portfolio__popup-close {
        top: .5rem;
    } */

    /* .language-selector .lang-option {
        right: 4rem;
    } */

    /* .contact__info {
        flex-direction: row;
    }
} */

    @media screen and (max-width: 767px) {
        .about__img {
            width: 250px;
        }

        .qualification__container {
            grid-template-columns: 290px;
            row-gap: 3rem;
        }

        .skills__container {
            grid-template-columns: 300px;
            row-gap: 3rem;
        }

        .work__container {
            grid-template-columns: 330px;
        }

        .services__container {
            grid-template-columns: repeat(2, 1fr);
            gap: 1.5rem;
        }

        .services__content {
            padding: 3.5rem .5rem 1.25rem 1.5rem;
        }

        .services__icon {
            font-size: 1.5rem;
        }

        .contact__container {
            grid-template-columns: 360px;
            row-gap: 3rem;
        }

        .contact__info {
            flex-direction: column;
            align-items: center;
        }

        .contact__card {
            width: 100%;
            max-width: none;
        }

        .footer__container {
            grid-template-columns: repeat(2, 1fr);
            row-gap: 3rem;
        }

        .footer__socials {
            justify-self: start;
        }

        .footer__links {
            flex-direction: column;
            row-gap: 1.5rem;
        }

        .footer__bg {
            padding: 2rem 0 3rem;
        }

        .footer__copy {
            margin-top: var(--mb-3);
        }

        .portfolio__popup-inner {
            width: 420px;
            padding: 2.8rem 1.5rem 2.5rem;
        }

        .portfolio__popup-content {
            grid-template-columns: 1fr;
            row-gap: 1.6rem;
        }

        .details__title {
            font-size: var(--normal-font-size);
        }

        .portfolio__popup-close {
            top: .5rem;
        }

        .language-selector .lang-option {
            right: 4rem;
        }

        #scrollTopBtn {
            width: 45px;
            height: 45px;
            font-size: 22px;
            line-height: 45px;
            bottom: 15px;
            right: 15px;
        }

        css Copiar .skills__icons {
            display: flex;
            justify-content: center;
            /* Centraliza os ícones horizontalmente */
            flex-wrap: wrap;
            margin-top: 2rem;
            margin-left: 5%;
            /* Adiciona margem à esquerda */
            margin-right: 5%;
            /* Adiciona margem à direita */
            gap: 1.5rem;
            /* Aumenta ligeiramente o espaçamento entre os ícones */
        }

        .skill-icon {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            width: 100px;
            height: 100px;
            border-radius: 50%;
            background-color: var(--box-color);
            color: var(--title-color);
            font-size: 2rem;
            transition: transform 0.3s;
            text-align: center;
        }

        .skill-icon span {
            margin-top: 0.5rem;
            font-size: var(--small-font-size);
        }

        .skill-icon:hover {
            transform: scale(1.1);
        }

        .icon-svg {
            width: 40px;
            height: 40px;
        }

        /* Adiciona responsividade para telas menores */
        @media (max-width: 768px) {
            .skills__icons {
                margin-left: 2%;
                /* Reduz a margem para telas menores */
                margin-right: 2%;
                gap: 1rem;
                /* Reduz o espaçamento para telas menores */
            }

            .skill-icon {
                width: 80px;
                /* Reduz o tamanho dos ícones para telas menores */
                height: 80px;
            }

            .icon-svg {
                width: 30px;
                /* Reduz o tamanho dos SVGs para telas menores */
                height: 30px;
            }
        }

    }

    @media screen and (max-width: 576px) {
        .nav__toggle {
            right: initial;
            left: 1.5rem;
        }

        .home {
            background-image: none;
            height: initial;
            align-items: initial;
            padding: 7rem 0 2rem;
        }

        .home__container {
            row-gap: 2rem;
        }

        .home__img {
            display: block;
            width: 250px;
            justify-self: center;
        }

        .home__social {
            left: initial;
            right: -1rem;
            flex-direction: column;
            row-gap: 3.5rem;
        }

        .home__social-follow {
            font-size: var(--smaller-font-size);
            transform: rotate(90deg);
        }

        .home__social-links {
            flex-direction: column;
            row-gap: .25rem;
        }

        .home__social-link {
            font-size: var(--normal-font-size);
        }

        .my__info {
            display: none;
        }

        .about__info {
            grid-template-columns: repeat(3, 1fr);
        }

        .about__description {
            padding: 0;
        }

        .services__modal-content {
            padding: 4.5rem 1.5rem 2.5rem;
        }

        .services__modal-description {
            padding: 0;
        }

        .contact__container,
        .work__container {
            grid-template-columns: 300px;
        }

        .footer__container {
            grid-template-columns: 1fr;
        }

        .footer__links {
            justify-self: flex-start;
        }

        #scrollTopBtn {
            width: 40px;
            height: 40px;
            font-size: 20px;
            line-height: 40px;
            bottom: 10px;
            right: 10px;
        }

        /* .language-selector .lang-option {
        right: -1rem;
        font-size: var(--smaller-font-size);
    } */
    }

    /* For Small Devices  */

    @media screen and (max-width: 480px) {
        .nav__toggle {
            right: initial;
            left: 1.5rem;
        }

        .home {
            background-image: none;
            height: initial;
            align-items: initial;
            padding: 7rem 0 2rem;
        }

        .home__container {
            row-gap: 2rem;
        }

        .home__img {
            display: block;
            width: 250px;
            justify-self: center;
        }

        .home__social {
            left: initial;
            right: -1rem;
            flex-direction: column;
            row-gap: 3.5rem;
        }

        .home__social-follow {
            font-size: var(--smaller-font-size);
            transform: rotate(90deg);
        }

        .home__social-links {
            flex-direction: column;
            row-gap: .25rem;
        }

        .home__social-link {
            font-size: var(--normal-font-size);
        }

        .my__info {
            display: none;
        }

        .about__info {
            grid-template-columns: repeat(3, 1fr);
        }

        .about__description {
            padding: 0;
        }

        .services__modal-content {
            padding: 4.5rem 1.5rem 2.5rem;
        }

        .services__modal-description {
            padding: 0;
        }

        .contact__container,
        .work__container {
            grid-template-columns: 300px;
        }

        .footer__container {
            grid-template-columns: 1fr;
        }

        .footer__links {
            justify-self: flex-start;
        }

        #scrollTopBtn {
            width: 40px;
            height: 40px;
            font-size: 20px;
            line-height: 40px;
            bottom: 10px;
            right: 10px;
        }

        /* .language-selector .lang-option {
        right: -1rem;
        font-size: var(--smaller-font-size);
    } */
    }

    @media screen and (max-width: 350px) {
        .nav__toggle {
            right: initial;
            left: 1.5rem;
        }

        .home {
            background-image: none;
            height: initial;
            align-items: initial;
            padding: 7rem 0 2rem;
        }

        .home__container {
            row-gap: 2rem;
        }

        .home__img {
            display: block;
            width: 250px;
            justify-self: center;
        }

        .home__social {
            left: initial;
            right: -1rem;
            flex-direction: column;
            row-gap: 3.5rem;
        }

        .home__social-follow {
            font-size: var(--smaller-font-size);
            transform: rotate(90deg);
        }

        .home__social-links {
            flex-direction: column;
            row-gap: .25rem;
        }

        .home__social-link {
            font-size: var(--normal-font-size);
        }

        .my__info {
            display: none;
        }

        .about__info {
            grid-template-columns: repeat(3, 1fr);
        }

        .about__description {
            padding: 0;
        }

        .services__modal-content {
            padding: 4.5rem 1.5rem 2.5rem;
        }

        .services__modal-description {
            padding: 0;
        }

        .contact__container,
        .work__container {
            grid-template-columns: 300px;
        }

        .footer__container {
            grid-template-columns: 1fr;
        }

        .footer__links {
            justify-self: flex-start;
        }

        #scrollTopBtn {
            width: 40px;
            height: 40px;
            font-size: 20px;
            line-height: 40px;
            bottom: 10px;
            right: 10px;
        }

        /* .language-selector .lang-option {
        right: -1rem;
        font-size: var(--smaller-font-size);
    } */
    }